Software - Support > Installing Software

Errors were encountered while processing

(1/2) > >>

RumDrama:
Hi everyone,

I can't get the last Lite update to complete.

I can't update my system until I get past this because it wants to install lite-themes first then it fails to install other updates.

I've tried to reinstall, force, and fix without success, as in sudo apt-get install --reinstall lite-autologin lite-desktop lite-info lite-manual lite-software lite-sounds lite-sources lite-themes lite-tweaks lite-upgrade-series5 lite-welcome lite-widget lite-usermanager

sudo dpkg -C
[sudo] password for user:
The following packages are only half configured, probably due to problems
configuring them the first time.  The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 lite-themes          Lite Themes

The following packages are missing the list control file in the
database, they need to be reinstalled:
 lite-autologin       Lite Auto Login
 lite-desktop         Lite Desktop
 lite-info            Lite Info
 lite-sounds          Lite Sounds
 lite-tweaks          Lite Tweaks
 lite-upgrade-series5 Lite Upgrade Series 5
 lite-welcome         Linux Lite Welcome Screen
 lite-widget          Lite Widget

The following packages are missing the md5sums control file in the
database, they need to be reinstalled:
 lite-autologin       Lite Auto Login
 lite-desktop         Lite Desktop
 lite-info            Lite Info
 lite-sounds          Lite Sounds
 lite-tweaks          Lite Tweaks
 lite-upgrade-series5 Lite Upgrade Series 5
 lite-welcome         Linux Lite Welcome Screen
 lite-widget          Lite Widget


With apt update i get:
* When I APT upgrade I get this:
The following NEW packages will be installed:
  lite-themes lite-usermanager
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/97.5 MB of archives.
After this operation, 237 MB of additional disk space will be used.
Selecting previously unselected package lite-themes.
dpkg: warning: files list file for package 'lite-autologin' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lite-desktop' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lite-sounds' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lite-info' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'lite-widget' missing; assuming package has no files currently installed
(Reading database ... 381855 files and directories currently installed.)
Preparing to unpack .../lite-themes_5.0-0040-linuxlite_all.deb ...
Unpacking lite-themes (5.0-0040-linuxlite) ...
Setting up lite-themes (5.0-0040-linuxlite) ...
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: Cache file created successfully.
gtk-update-icon-cache: No theme index file.
dpkg: error processing package lite-themes (--configure):
 installed lite-themes package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 lite-themes
E: Sub-process /usr/bin/dpkg returned an error code (1)


Thanks for your help.

Jerry:
Have you removed ANY software at all since you installed Linux Lite?

RumDrama:
Hi, Yes I have removed and installed lots of software. I have been using Lite as my daily since May 2020. The only way I've found to allow my system to update is by temporarily removing the Lite repository before apt update / upgrade.

Jerry:
What 'Lite' named applications have you removed?

RumDrama:
I have not removed any Lite Software. I had removed lite-themes and reinstalled them in my act of trying to fix it, but still got the same errors. Until...

Well you won't believe it... I fixed this by chmod -R 775 the icons directory running apt upgrade again. No more errors. Everything is back to normal! Thanks for helping me. (:

Navigation

[0] Message Index

[#] Next page

Go to full version